{
  sbMod v.0.1.2

  (C)2K-1 by CARSTEN WAECHTER aka THE TOXIC AVENGER/AINC.

  This Unit is Public Domain..
   Feel free to use, enhance or even learn about this code..
  If you like it, please drop a message to:
   toxie@gmx.net
  To get the newest version of sbMod surf to:
   http://www.uni-ulm.de/~s_cwaech/

  All changes are listed below..
}

program modTest;

uses
  Go32, sbPlay, sbDetect, sbMOD, Timer, Dos, Crt;

const
  tstCopyrightBlurb	= 'modTest v0.1.2 - toxic avenger/ainc.';

var
  BaseIO	: Word;
  IRQ, DMA	: Byte;

  s : string[20];

begin

  ClrScr;  CursorOff;  AddExitProc(@CursorOn);
  WriteLn('- ', plrCopyrightBlurb);
  WriteLn('- ', tstCopyrightBlurb);
  if not(DetectSB(BaseIO, IRQ, DMA)) then begin writeln('- NO SET BLASTER=Axxx Ix Dx ENVIRONMENT'); halt(0); end;
  if not(InitSB(BaseIO, IRQ, DMA)) then begin writeln('- INIT OF SOUNDBLASTER FAILED'); halt(0); end;

  WriteLn('- Detected SB v', Hi(dspVersion),'.', Lo(dspVersion),' - ',SampleRate,' Hz',' - ',UpdateRate, ' ints/sec');
  WriteLn('  BaseIO: $', HexStr(BaseIO,3),'   IRQ: ', IRQ, '   DMA: ', DMA);
  WriteLn;
  WriteLN('  Key 2 EXIT');

  filemode:=0;
  MOD2mem('test.mod');

  WriteLN;
  s:=mod_h.song_name;
  WriteLN('  Name: ', s,'  Channels:', mod_num_ch:3, '  Patterns:', mod_num_pat:3);

  StartPlayer;
  InitTimer(150);
  PlayMOD;

  repeat
    GotoXY(10, 12);
    Write(
      '  Order:', (mod_arrangement_pos+1):3, '/', mod_h.song_length,
      '  Pattern:', mod_mom_pat:3,
      '  PatternRow:', mod_pat_row:3
    );
    GotoXY(10, 14);
    Write(
      '  Tempo:', mod_num_ticks:3,
      '  BPM:', mod_BPM:4
    );
  until keypressed;
  while keypressed do ReadKey;

  WriteLN;

  DoneTimer;
  StopPlayer;
  ShutdownSB;
  FreeMOD;

end.

{
  History:

  v.0.1.0: First Public Release

  v.0.1.1: Added some more Information-Output about the MOD
}